PACVIM(1)

NAME
pacvim - PacVim is pacman game concept with vim command

SYNOPSIS
pacvim [LEVEL_NUMBER][MODE]

DESCRIPTION
 PacVim is a game that teaches you vim commands. You must
 move pacman (the green cursor) to highlight each word on
 the gameboard while avoiding the ghosts (in red).
 Vim is a great tool to write and edit code, but many people, including me,
 struggled with the steep learning curve. I did not find a fun, free way to
 learn about the vim commands in-depth, and thus, PacVim was born. Inspired by
 the classic, PacMan, PacVim is a game that'll give anyone plenty of practice
 with the vim commands while being a ton of fun to play.

q    quit the game
h    move left
j    move down
k    move up
l    move right
w    move forward to next word beginning
W    move forward to next WORD beginning
e    move forward to next word ending
E    move forward to next WORD ending
b    move backward to next word beginning
B    move backward to next WORD beginning
$    move to the end of the line
0    move to the beginning of the line
gg/1G    move to the beginning of the first line
numberG    move to the beginning of the line given by number
G    move to the beginning of the last line
^    move to the first word at the current line
&    1337 cheatz (beat current level)
pacvim command option is LEVEL_NUMBER MODE commands.

OPTIONS
pacvim for level and mode switch

1-9, Game Level
    Game level number, 1 to 9

n, normal mode
    Game normal mode.

h, hard mode
    Game hard mode.

FILES
/usr/share/pacvim/maps
    holds a sample set of mapfile. If your MAPSPATH is not explicitly set, it automatically contains this directory.

BUGS
If there are any, please notify the author at the address below.

AUTHOR
kokoye2007 <kokoye2007@gmail.com>

SEE ALSO
vim(1),